org.eclipse.viatra.query.runtime.rete.recipes.util

## Class RecipesAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.viatra.query.runtime.rete.recipes.util.RecipesAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class RecipesAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `RecipesPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static RecipesPackage` | `modelPackage` The cached model package.
    `protected RecipesSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecipesAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createAggregatorIndexerRecipeAdapter()` Creates a new adapter for an object of class '`Aggregator Indexer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAlphaRecipeAdapter()` Creates a new adapter for an object of class '`Alpha Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createAntiJoinRecipeAdapter()` Creates a new adapter for an object of class '`Anti Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createBetaRecipeAdapter()` Creates a new adapter for an object of class '`Beta Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCheckRecipeAdapter()` Creates a new adapter for an object of class '`Check Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createConstantRecipeAdapter()` Creates a new adapter for an object of class '`Constant Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createCountAggregatorRecipeAdapter()` Creates a new adapter for an object of class '`Count Aggregator Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDiscriminatorBucketRecipeAdapter()` Creates a new adapter for an object of class '`Discriminator Bucket Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createDiscriminatorDispatcherRecipeAdapter()` Creates a new adapter for an object of class '`Discriminator Dispatcher Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createEqualityFilterRecipeAdapter()` Creates a new adapter for an object of class '`Equality Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEvalRecipeAdapter()` Creates a new adapter for an object of class '`Eval Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExistenceJoinRecipeAdapter()` Creates a new adapter for an object of class '`Existence Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionDefinitionAdapter()` Creates a new adapter for an object of class '`Expression Definition`'.
    `org.eclipse.emf.common.notify.Adapter` | `createExpressionEnforcerRecipeAdapter()` Creates a new adapter for an object of class '`Expression Enforcer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createFilterRecipeAdapter()` Creates a new adapter for an object of class '`Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIndexerBasedAggregatorRecipeAdapter()` Creates a new adapter for an object of class '`Indexer Based Aggregator Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createIndexerRecipeAdapter()` Creates a new adapter for an object of class '`Indexer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInequalityFilterRecipeAdapter()` Creates a new adapter for an object of class '`Inequality Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInputFilterRecipeAdapter()` Creates a new adapter for an object of class '`Input Filter Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createInputRecipeAdapter()` Creates a new adapter for an object of class '`Input Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createJoinRecipeAdapter()` Creates a new adapter for an object of class '`Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMaskAdapter()` Creates a new adapter for an object of class '`Mask`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMonotonicityInfoAdapter()` Creates a new adapter for an object of class '`Monotonicity Info`'.
    `org.eclipse.emf.common.notify.Adapter` | `createMultiParentNodeRecipeAdapter()` Creates a new adapter for an object of class '`Multi Parent Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createProductionRecipeAdapter()` Creates a new adapter for an object of class '`Production Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createProjectionIndexerRecipeAdapter()` Creates a new adapter for an object of class '`Projection Indexer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRederivableNodeRecipeAdapter()` Creates a new adapter for an object of class '`Rederivable Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createRelationEvaluationRecipeAdapter()` Creates a new adapter for an object of class '`Relation Evaluation Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createReteNodeRecipeAdapter()` Creates a new adapter for an object of class '`Rete Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createReteRecipeAdapter()` Creates a new adapter for an object of class '`Rete Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSemiJoinRecipeAdapter()` Creates a new adapter for an object of class '`Semi Join Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSingleColumnAggregatorRecipeAdapter()` Creates a new adapter for an object of class '`Single Column Aggregator Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createSingleParentNodeRecipeAdapter()` Creates a new adapter for an object of class '`Single Parent Node Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createStringIndexMapEntryAdapter()` Creates a new adapter for an object of class '`String Index Map Entry`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTransitiveClosureRecipeAdapter()` Creates a new adapter for an object of class '`Transitive Closure Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTransparentRecipeAdapter()` Creates a new adapter for an object of class '`Transparent Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createTrimmerRecipeAdapter()` Creates a new adapter for an object of class '`Trimmer Recipe`'.
    `org.eclipse.emf.common.notify.Adapter` | `createUniquenessEnforcerRecipeAdapter()` Creates a new adapter for an object of class '`Uniqueness Enforcer Recipe`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

    - #### modelPackage

          protected static RecipesPackage modelPackage

      The cached model package.
      Generated:

    - #### modelSwitch

          protected RecipesSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated:

  - ### Constructor Detail

    - #### RecipesAdapterFactory

          public RecipesAdapterFactory()

      Creates an instance of the adapter factory.
      Generated:

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated:

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated:

    - #### createReteRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createReteRecipeAdapter()

      Creates a new adapter for an object of class '`Rete Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReteRecipe`
      Generated:

    - #### createReteNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createReteNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Rete Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ReteNodeRecipe`
      Generated:

    - #### createSingleParentNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createSingleParentNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Single Parent Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SingleParentNodeRecipe`
      Generated:

    - #### createAlphaRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAlphaRecipeAdapter()

      Creates a new adapter for an object of class '`Alpha Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AlphaRecipe`
      Generated:

    - #### createMultiParentNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createMultiParentNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Multi Parent Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MultiParentNodeRecipe`
      Generated:

    - #### createMonotonicityInfoAdapter

          public org.eclipse.emf.common.notify.Adapter createMonotonicityInfoAdapter()

      Creates a new adapter for an object of class '`Monotonicity Info`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MonotonicityInfo`
      Generated:

    - #### createUniquenessEnforcerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createUniquenessEnforcerRecipeAdapter()

      Creates a new adapter for an object of class '`Uniqueness Enforcer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `UniquenessEnforcerRecipe`
      Generated:

    - #### createProductionRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createProductionRecipeAdapter()

      Creates a new adapter for an object of class '`Production Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProductionRecipe`
      Generated:

    - #### createIndexerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createIndexerRecipeAdapter()

      Creates a new adapter for an object of class '`Indexer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IndexerRecipe`
      Generated:

    - #### createProjectionIndexerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createProjectionIndexerRecipeAdapter()

      Creates a new adapter for an object of class '`Projection Indexer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ProjectionIndexerRecipe`
      Generated:

    - #### createAggregatorIndexerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAggregatorIndexerRecipeAdapter()

      Creates a new adapter for an object of class '`Aggregator Indexer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AggregatorIndexerRecipe`
      Generated:

    - #### createBetaRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createBetaRecipeAdapter()

      Creates a new adapter for an object of class '`Beta Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BetaRecipe`
      Generated:

    - #### createMaskAdapter

          public org.eclipse.emf.common.notify.Adapter createMaskAdapter()

      Creates a new adapter for an object of class '`Mask`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Mask`
      Generated:

    - #### createStringIndexMapEntryAdapter

          public org.eclipse.emf.common.notify.Adapter createStringIndexMapEntryAdapter()

      Creates a new adapter for an object of class '`String Index Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Map.Entry`
      Generated:

    - #### createInputRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createInputRecipeAdapter()

      Creates a new adapter for an object of class '`Input Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InputRecipe`
      Generated:

    - #### createConstantRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createConstantRecipeAdapter()

      Creates a new adapter for an object of class '`Constant Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ConstantRecipe`
      Generated:

    - #### createTransitiveClosureRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createTransitiveClosureRecipeAdapter()

      Creates a new adapter for an object of class '`Transitive Closure Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TransitiveClosureRecipe`
      Generated:

    - #### createFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FilterRecipe`
      Generated:

    - #### createInequalityFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createInequalityFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Inequality Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InequalityFilterRecipe`
      Generated:

    - #### createEqualityFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createEqualityFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Equality Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EqualityFilterRecipe`
      Generated:

    - #### createTransparentRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createTransparentRecipeAdapter()

      Creates a new adapter for an object of class '`Transparent Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TransparentRecipe`
      Generated:

    - #### createTrimmerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createTrimmerRecipeAdapter()

      Creates a new adapter for an object of class '`Trimmer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TrimmerRecipe`
      Generated:

    - #### createExpressionDefinitionAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionDefinitionAdapter()

      Creates a new adapter for an object of class '`Expression Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExpressionDefinition`
      Generated:

    - #### createExpressionEnforcerRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createExpressionEnforcerRecipeAdapter()

      Creates a new adapter for an object of class '`Expression Enforcer Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExpressionEnforcerRecipe`
      Generated:

    - #### createCheckRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createCheckRecipeAdapter()

      Creates a new adapter for an object of class '`Check Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CheckRecipe`
      Generated:

    - #### createEvalRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createEvalRecipeAdapter()

      Creates a new adapter for an object of class '`Eval Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `EvalRecipe`
      Generated:

    - #### createIndexerBasedAggregatorRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createIndexerBasedAggregatorRecipeAdapter()

      Creates a new adapter for an object of class '`Indexer Based Aggregator Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IndexerBasedAggregatorRecipe`
      Generated:

    - #### createCountAggregatorRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createCountAggregatorRecipeAdapter()

      Creates a new adapter for an object of class '`Count Aggregator Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CountAggregatorRecipe`
      Generated:

    - #### createJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `JoinRecipe`
      Generated:

    - #### createExistenceJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createExistenceJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Existence Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ExistenceJoinRecipe`
      Generated:

    - #### createSemiJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createSemiJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Semi Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SemiJoinRecipe`
      Generated:

    - #### createAntiJoinRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createAntiJoinRecipeAdapter()

      Creates a new adapter for an object of class '`Anti Join Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AntiJoinRecipe`
      Generated:

    - #### createInputFilterRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createInputFilterRecipeAdapter()

      Creates a new adapter for an object of class '`Input Filter Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InputFilterRecipe`
      Generated:

    - #### createSingleColumnAggregatorRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createSingleColumnAggregatorRecipeAdapter()

      Creates a new adapter for an object of class '`Single Column Aggregator Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `SingleColumnAggregatorRecipe`
      Generated:

    - #### createDiscriminatorDispatcherRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createDiscriminatorDispatcherRecipeAdapter()

      Creates a new adapter for an object of class '`Discriminator Dispatcher Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DiscriminatorDispatcherRecipe`
      Generated:

    - #### createDiscriminatorBucketRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createDiscriminatorBucketRecipeAdapter()

      Creates a new adapter for an object of class '`Discriminator Bucket Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DiscriminatorBucketRecipe`
      Generated:

    - #### createRederivableNodeRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createRederivableNodeRecipeAdapter()

      Creates a new adapter for an object of class '`Rederivable Node Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RederivableNodeRecipe`
      Generated:

    - #### createRelationEvaluationRecipeAdapter

          public org.eclipse.emf.common.notify.Adapter createRelationEvaluationRecipeAdapter()

      Creates a new adapter for an object of class '`Relation Evaluation Recipe`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      Since:
        2.8
      See Also:
        `RelationEvaluationRecipe`
      Generated:

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated: